function::print_ubacktrace_fileline
Prev | Chapter 2. Context Functions | Next

## Name

function::print_ubacktrace_fileline — Print stack back trace for current user-space task.

## Synopsis

    1) print_ubacktrace_fileline()

    2) print_ubacktrace_fileline(pc:long,sp:long,fp:long)

## Arguments

`pc`

  override PC

`sp`

  override SP

`fp`

  override FP

## Description

1)

2) Equivalent to`print_ubacktrace`, but output for each symbol is longer including file names and line numbers.

Equivalent to `print_ubacktrace_fileline`, but it performs the backtrace using the pc, sp, and fp passed in.

## Note

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

Prev | Up | Next
function::print_ubacktrace_brief | Home | function::print_ustack